#include "nomen.h"

static enum encoding enc = e_iso8859_1;

static char str_Language[] = "English";
static char str_OK[] = "OK";
static unichar_t mnemonic_OK[] = 'O';
static char str_Cancel[] = "Cancel";
static unichar_t mnemonic_Cancel[] = 'C';
static char str_Open[] = "Open";
static unichar_t mnemonic_Open[] = 'O';
static char str_Save[] = "Save";
static unichar_t mnemonic_Save[] = 'S';
static char str_Filter[] = "Filter";
static unichar_t mnemonic_Filter[] = 'F';
static char str_New[] = "New";
static unichar_t mnemonic_New[] = 'N';
static char str_Replace[] = "Replace";
static char str_Fileexists[] = "File Exists";
/* "File, %s, exists. Replace it?" */
static char str_Fileexistspre[] = "File, ";
static char str_Fileexistspost[] = ", exists. Replace it?";
static char str_Createdir[] = "Create directory...";
static char str_Dirname[] = "Directory name?";
static char str_Couldntcreatedir[] = "Couldn't create directory";
static char str_SelectAll[] = "Select All";
static char mnemonic_SelectAll ='A';
static char *str_None ="None";
static char mnemonic_None ='N';
/* Menus ... */
static char str_File[] = "File";
static unichar_t mnemonic_File[] = 'F';
static char str_Edit[] = "Edit";
static unichar_t mnemonic_Edit[] = 'E';
static char str_Point[] = "Point";
static unichar_t mnemonic_Point[] = 'P';
static char str_Element[] = "Element";
static unichar_t mnemonic_Element[] = 'l';
static char str_Hints[] = "Hints";
static unichar_t mnemonic_Hints[] = 'i';
static char str_View[] = "View";
static unichar_t mnemonic_View[] = 'V';
static char str_Metric[] = "Metrics";
static unichar_t mnemonic_Metric[] = 'M';
static char str_Window[] = "Window";
static unichar_t mnemonic_Window[] = 'W';
static char str_Help[] = "Help";
static unichar_t mnemonic_Help[] = 'H';
static char str_About[] = "About...";
static unichar_t mnemonic_About[] = 'A';
static char str_Recent[] = "Recent";
static unichar_t mnemonic_Recent[] = 't';
static char str_Openoutline[] = "Open Outline";
static unichar_t mnemonic_Openoutline[] = 'u';
static char str_Openbitmap[] = "Open Bitmap";
static unichar_t mnemonic_Openbitmap[] = 'B';
static char str_Openmetrics[] = "Open Metrics";
static unichar_t mnemonic_Openmetrics[] = 'M';
static char str_Print[] = "Print...";
static unichar_t mnemonic_Print[] = 'P';
static char str_ExecuteScript[] = "Execute Script...";
static unichar_t mnemonic_ExecuteScript[] = 'x';
static char str_Revertfile[] = "Revert File";
static unichar_t mnemonic_Revertfile[] = 'R';
static char str_Saveas[] = "Save as...";
static unichar_t mnemonic_Saveas[] = 'a';
static char str_SaveAll[] = "Save All";
static unichar_t mnemonic_SaveAll = 'l';
static char str_Generate[] = "Generate Fonts...";
static unichar_t mnemonic_Generate[] = 'G';
static char str_Import[] = "Import...";
static unichar_t mnemonic_Import[] = 'I';
static char str_Close[] = "Close";
static unichar_t mnemonic_Close[] = 'c';
static char str_Prefs[] = "Preferences...";
static unichar_t mnemonic_Prefs[] = 'e';
static char str_Quit[] = "Quit";
static unichar_t mnemonic_Quit[] = 'Q';
static char str_Fit[] = "Fit";
static unichar_t mnemonic_Fit[] = 'F';
static char str_Zoomin[] = "Zoom in";
static unichar_t mnemonic_Zoomin[] = 'i';
static char str_Zoomout[] = "Zoom out";
static unichar_t mnemonic_Zoomout[] = 'o';
static char str_NextChar[] = "Next Char";
static unichar_t mnemonic_NextChar[] = 'N';
static char str_PrevChar[] = "Prev Char";
static unichar_t mnemonic_PrevChar[] = 'P';
static char str_NextDefChar[] = "Next Defined Char";
static unichar_t mnemonic_NextDefChar[] = 'D';
static char str_PrevDefChar[] = "Prev Defined Char";
static unichar_t mnemonic_PrevDefChar[] = 'a';
static char str_Goto[] = "Goto";
static unichar_t mnemonic_Goto[] = 'G';
static char str_Hidepoints[] = "Hide Points";
static unichar_t mnemonic_Hidepoints[] = 't';
static char str_Showpoints[] = "Show Points";
static unichar_t mnemonic_Showpoints[] = 't';
static char str_MarkExtrema[] = "Mark Extrema";
static unichar_t mnemonic_MarkExtrema[] = 'M';
static char str_Hiderulers[] = "Hide Rulers";
static unichar_t mnemonic_Hiderulers[] = 'R';
static char str_Showrulers[] = "Show Rulers";
static unichar_t mnemonic_Showrulers[] = 'R';
static char str_Fill[] = "Fill";
static unichar_t mnemonic_Fill[] = 'l';
static char str_Select[] = "Select";
static unichar_t mnemonic_Select[] = 'S';
static char str_DeselectAll[] = "Deselect All";
static unichar_t mnemonic_DeselectAll[] = 'D';
static char str_FirstPoint[] = "First Point";
static unichar_t mnemonic_FirstPoint[] = 'F';
static char str_Nextpoint[] = "Next Point";
static unichar_t mnemonic_Nextpoint[] = 'N';
static char str_Prevpoint[] = "Prev Point";
static unichar_t mnemonic_Prevpoint[] = 'P';
static char str_NextControlPoint[] = "Next Control Point";
static unichar_t mnemonic_NextControlPoint[] = 'x';
static char str_PrevControlPoint[] = "Prev Control Point";
static unichar_t mnemonic_NextControlPoint[] = 'r';
static char str_SelectWidth[] = "Width";
static unichar_t mnemonic_SelectWidth[] = 'W';
static char str_SelectVWidth[] = "VWidth";
static unichar_t mnemonic_SelectVWidth[] = 'V';
static char str_DeselectWidth[] = "Deselect Width";
static unichar_t mnemonic_DeselectWidth[] = 'W';
static char str_DeselectVWidth[] = "Deselect VWidth";
static unichar_t mnemonic_DeselectVWidth[] = 'V';
static char str_Undo[] = "Undo";
static unichar_t mnemonic_Undo[] = 'U';
static char str_Redo[] = "Redo";
static unichar_t mnemonic_Redo[] = 'R';
static char str_Cut[] = "Cut";
static unichar_t mnemonic_Cut[] = 't';
static char str_Copy[] = "Copy";
static unichar_t mnemonic_Copy[] = 'C';
static char str_Copywidth[] = "Copy Width";
static unichar_t mnemonic_Copywidth[] = 'W';
static char str_CopyVWidth[] = "Copy VWidth";
static unichar_t mnemonic_CopyVWidth[] = 'V';
static char str_CopyLBearing[] = "Copy LBearing";
static unichar_t mnemonic_CopyLBearing[] = 'p';
static char str_CopyRBearing[] = "Copy RBearing";
static unichar_t mnemonic_CopyRBearing[] = 'g';
static char str_Copyref[] = "Copy Reference";
static unichar_t mnemonic_Copyref[] = 'o';
static char str_Paste[] = "Paste";
static unichar_t mnemonic_Paste[] = 'P';
static char str_Clear[] = "Clear";
static unichar_t mnemonic_Clear[] = 'l';
static char str_ClearBackground[] = "Clear Background";
static unichar_t mnemonic_ClearBackground[] = 'B';
static char str_CopyFgToBg[] = "Copy Fg To Bg";
static unichar_t mnemonic_CopyFgToBg[] = 'F';
static char str_Merge[] = "Merge";
static unichar_t mnemonic_Merge[] = 'M';
static char str_Elide = "Elide";
static char str_Unlinkref[] = "Unlink Reference";
static unichar_t mnemonic_Unlinkref[] = 'n';
static char str_RemoveUndoes[] = "Remove Undoes";
static unichar_t mnemonic_RemoveUndoes[] = 'e';
static char str_Fontinfo[] = "Font Info...";
static unichar_t mnemonic_Fontinfo[] = 'F';
static char str_Findprobs[] = "Find Problems...";
static unichar_t mnemonic_Findprobs[] = 'o';
static char str_Getinfo[] = "Get Info...";
static unichar_t mnemonic_Getinfo[] = 'I';
static char str_ShowDependents[] = "Show Dependents...";
static unichar_t mnemonic_ShowDependents[] = 'h';
static char str_Bitmapsavail[] = "Bitmaps Available...";
static unichar_t mnemonic_Bitmapsavail[] = 'A';
static char str_Regenbitmaps[] = "Regenerate Bitmaps...";
static unichar_t mnemonic_Regenbitmaps[] = 'B';
static char str_Autotrace[] = "Autotrace";
static unichar_t mnemonic_Autotrace[] = 'r';
static char str_Transform[] = "Transform...";
static unichar_t mnemonic_Transform[] = 'T';
static char str_Stroke[] = "Expand Stroke...";
static unichar_t mnemonic_Stroke[] = 'E';
static char str_Rmoverlap[] = "Remove Overlap";
static unichar_t mnemonic_Rmoverlap[] = 'v';
static char str_Simplify[] = "Simplify";
static unichar_t mnemonic_Simplify[] = 'S';
static char str_SimplifyMore[] = "SimplifyMore";
static char str_CleanupChar[] = "Cleanup Char";
static unichar_t mnemonic_CleanupChar[] = 'n';
static char str_AddExtrema[] = "Add Extrema";
static unichar_t mnemonic_AddExtrema[] = 'x';
static char str_Align[] = "Align";
static unichar_t mnemonic_Align[] = 'l';
static char str_AveragePts[] = "Average Points";
static unichar_t mnemonic_AveragePts[] = 'A';
static char str_SpacePts[] = "Space Points";
static unichar_t mnemonic_SpacePts[] = 'S';
static char str_SpaceRegions[] = "Space Regions...";
static unichar_t mnemonic_SpaceRegions[] = 'R';
static char str_MakeParallel[] = "Make Parallel...";
static unichar_t mnemonic_MakeParallel[] = 'P';
static char str_Round2int[] = "Round to int";
static unichar_t mnemonic_Round2int[] = 'd';
static char str_Buildaccent[] = "Build Accented Char";
static unichar_t mnemonic_Buildaccent[] = 'u';
static char str_Buildcomposit[] = "Build Composite Char";
static unichar_t mnemonic_Buildcomposit[] = 'u';
static char str_Clockwise[] = "Clockwise";
static unichar_t mnemonic_Clockwise[] = 'o';
static char str_Cclockwise[] = "Counter Clockwise";
static unichar_t mnemonic_Cclockwise[] = 'n';
static char str_Correct[] = "Correct Direction";
static unichar_t mnemonic_Correct[] = 'C';
static char str_Corner[] = "Corner";
static unichar_t mnemonic_Corner[] = 'o';
static char str_Curve[] = "Curve";
static unichar_t mnemonic_Curve[] = 'C';
static char str_Tangent[] = "Tangent";
static unichar_t mnemonic_Tangent[] = 'T';
static char str_Autohint[] = "AutoHint";
static unichar_t mnemonic_Autohint[] = 'H';
static char str_FullAutohint[] = "Full AutoHint";
static unichar_t mnemonic_FullAutohint[] = 'H';
static char str_ClearHints[] = "ClearHints";
static unichar_t mnemonic_ClearHints[] = 'C';
static char str_Clearhstem[] = "Clear HStem";
static unichar_t mnemonic_Clearhstem[] = 'C';
static char str_Clearvstem[] = "Clear VStem";
static unichar_t mnemonic_Clearvstem[] = 'V';
static char str_Cleardstem[] = "Clear DStem";
static unichar_t mnemonic_Cleardstem[] = 'D';
static char str_Addhhint[] = "Add HHint";
static unichar_t mnemonic_Addhhint[] = 'A';
static char str_Addvhint[] = "Add VHint";
static unichar_t mnemonic_Addvhint[] = 's';
static char str_Adddhint[] = "Add DHint";
static unichar_t mnemonic_Adddhint[] = 't';
static char str_Createhhint[] = "Create HHint...";
static unichar_t mnemonic_Createhhint[] = 'r';
static char str_Createvhint[] = "Create VHint...";
static unichar_t mnemonic_Createvhint[] = 'e';
static char str_Reviewhints[] = "Review Hints...";
static unichar_t mnemonic_Reviewhints[] = 'R';
static char str_MinimumDistance[] = "MinimumDistance";
static unichar_t mnemonic_MinimumDistance[] = 'M';
static char str_ClearAllMD[] = "Clear All MD";
static unichar_t mnemonic_ClearAllMD[] = 'C';
static char str_ClearSelXMD[] = "Clear Selected x MD";
static unichar_t mnemonic_ClearSelXMD[] = 's';
static char str_ClearSelYMD[] = "Clear Selected y MD";
static unichar_t mnemonic_ClearSelYMD[] = 'e';
static char str_ClearWidthMD[] = "Clear Width MD";
static unichar_t mnemonic_ClearWidthMD[] = 'W';
static char str_AddxMD[] = "Add x MD";
static unichar_t mnemonic_AddxMD[] = 'x';
static char str_AddMD2Width[] = "Add MD Here to Width";
static unichar_t mnemonic_AddxMD[] = 'x';
static char str_AddyMD[] = "Add y MD";
static unichar_t mnemonic_AddyMD[] = 'y';
static char str_RoundX[] = "Round X";
static unichar_t mnemonic_RoundX[] = 'R';
static char str_NoRoundX[] = "No Round X";
static unichar_t mnemonic_NoRoundX[] = 'N';
static char str_RoundY[] = "Round Y";
static unichar_t mnemonic_RoundY[] = 'u';
static char str_NoRoundY[] = "No Round Y";
static unichar_t mnemonic_NoRoundY[] = 'o';
static char str_Export[] = "Export...";
static unichar_t mnemonic_Export[] = 't';
static char str_Palettes[] = "Palettes";
static unichar_t mnemonic_Palettes[] = 'P';
static char str_Tools[] = "Tools";
static unichar_t mnemonic_Tools[] = 'T';
static char str_Layers[] = "Layers";
static unichar_t mnemonic_Layers[] = 'L';
static char str_Center[] = "Center in Width";
static unichar_t mnemonic_Center[] = 'C';
static char str_Thirds[] = "Thirds in Width";
static unichar_t mnemonic_Thirds[] = 'T';
static char str_Setwidth[] = "Set Width...";
static unichar_t mnemonic_Setwidth[] = 'W';
static char str_SetVWidth[] = "Set Vertical Advance...";
static unichar_t mnemonic_SetVWidth[] = 'V';
static char str_Setlbearing[] = "Set LBearing...";
static unichar_t mnemonic_Setlbearing[] = 'L';
static char str_Setrbearing[] = "Set RBearing...";
static unichar_t mnemonic_Setrbearing[] = 'R';
static char str_Removekern[] = "Remove Kern Pairs";
static unichar_t mnemonic_Removekern[] = 'P';
static char str_Mergekern[] = "Merge Kern Info...";
static unichar_t mnemonic_Mergekern[] = 'M';
static char str_24[] = "24 pixel outline";
static unichar_t mnemonic_24[] = '2';
static char str_36[] = "36 pixel outline";
static unichar_t mnemonic_36[] = '3';
static char str_48[] = "48 pixel outline";
static unichar_t mnemonic_48[] = '4';
static char str_72[] = "72 pixel outline";
static unichar_t mnemonic_72[] = '7';
static char str_96[] = "96 pixel outline";
static unichar_t mnemonic_96[] = '9';
static char str_Antialias[] = "Anti Alias";
static unichar_t mnemonic_Antialias[] = 'A';
static char str_Charinfo[] = "Char Info...";
static unichar_t mnemonic_Charinfo[] = 'I';
static char str_Mergefonts[] = "Merge Fonts...";
static unichar_t mnemonic_Mergefonts[] = 'M';
static char str_Interp[] = "Interpolate Fonts...";
static unichar_t mnemonic_Interp[] = 'l';
static char str_Copyfrom[] = "Copy From";
static unichar_t mnemonic_Copyfrom[] = 'F';
static char str_Allfonts[] = "All Fonts";
static unichar_t mnemonic_Allfonts[] = 'A';
static char str_Displayedfont[] = "Displayed Font";
static unichar_t mnemonic_Displayedfont[] = 'D';
static char str_CharName[] = "Char Name";
static unichar_t mnemonic_CharName[] = 'N';
static char str_Autokern[] = "Auto Kern...";
static unichar_t mnemonic_Autokern[] = 'K';
static char str_Autowidth[] = "Auto Width...";
static unichar_t mnemonic_Autowidth[] = 'A';
static char str_Removeallkern[] = "Remove All Kern Pairs";
static unichar_t mnemonic_Removeallkern[] = 'P';
static char str_Outline[] = "Outline";
static unichar_t mnemonic_Outline[] = 'O';
static char str_Showgrid[] = "Show Grid";
static unichar_t mnemonic_Showgrid[] = 'G';
static char str_Hidegrid[] = "Hide Grid";
static unichar_t mnemonic_Hidegrid[] = 'G';
static char str_Bigger[] = "Bigger Pixel Size";
static unichar_t mnemonic_Bigger[] = 'B';
static char str_Smaller[] = "Smaller Pixel Size";
static unichar_t mnemonic_Smaller[] = 'S';
static char str_Fliph[] = "Flip Horizontally";
static unichar_t mnemonic_Fliph[] = 'H';
static char str_Flipv[] = "Flip Vertically";
static unichar_t mnemonic_Flipv[] = 'V';
static char str_Rotate90cw[] = "Rotate 90 CW";
static unichar_t mnemonic_Rotate90cw[] = 'R';
static char str_Rotate90ccw[] = "Rotate 90 CCW";
static unichar_t mnemonic_Rotate90ccw[] = '9';
static char str_Rotate180[] = "Rotate 180";
static unichar_t mnemonic_Rotate180[] = '1';
static char str_Skew[] = "Skew...";
static unichar_t mnemonic_Skew[] = 'S';
static char str_MakeFirst = "Make First";
static char mnemonic_MakeFirst = 'k';
static char *str_CID = "CID";
static char mnemonic_CID = 'C';
static char *str_Convert2CID = "Convert to CID";
static char mnemonic_Convert2CID = 'C';
static char *str_Flatten = "Flatten";
static char mnemonic_Flatten = 'F';
static char *str_InsertFont = "Insert Font...";
static char mnemonic_InsertFont = 'o';
static char *str_InsertBlank = "Insert Blank";
static char mnemonic_InsertBlank = 'B';
static char *str_RemoveFont = "Remove Font";
static char mnemonic_RemoveFont = 'R';
static char *str_CIDFontInfo = "CID Font Info...";
static char mnemonic_CIDFontInfo = 'I';

    /* Font Info dlg */
static char str_Custom[] = "Custom";
static char str_Isolatin1[] = "ISO 8859-1  (Latin1)";
static char str_Isolatin0[] = "ISO 8859-15  (Latin0)";
static char str_Isolatin2[] = "ISO 8859-2  (Latin2)";
static char str_Isolatin3[] = "ISO 8859-3  (Latin3)";
static char str_Isolatin4[] = "ISO 8859-4  (Latin4)";
static char str_Isolatin5[] = "ISO 8859-9  (Latin5)";
static char str_Isolatin6[] = "ISO 8859-10  (Latin6)";
static char str_Isolatin7[] = "ISO 8859-13  (Latin7)";
static char str_Isolatin8[] = "ISO 8859-14  (Latin8)";
static char str_Isocyrillic[] = "ISO 8859-5 (Cyrillic)";
static char str_Koi8cyrillic[] = "KOI8-R (Cyrillic)";
static char str_Isoarabic[] = "ISO 8859-6 (Arabic)";
static char str_Isogreek[] = "ISO 8859-7 (Greek)";
static char str_Isohebrew[] = "ISO 8859-8 (Hebrew)";
static char str_Isothai[] = "ISO 8859-11 (Thai)";
static char str_Mac[] = "Macintosh Latin";
static char str_Win[] = "Windows Latin (\042ANSI\042)";
static char str_Adobestd[] = "Adobe Standard";
static char str_Symbol[] = "Symbol";
static unichar_t str_Texbase[] = { 0x3a4, 0x3b5, 0x3a7, ' Base',  '\0' };
static char str_Unicode[] = "ISO 10646-1 (Unicode, BMP)";
static char str_Unicode4[] = "ISO 10646-1 (Unicode, Full)";
static char str_UnicodePlanes[] = "ISO 10646-? (by plane) ...";
static char str_Jis208[] = "JIS 208 (Kanji)";
static char str_Jis212[] = "JIS 212 (Kanji)";
static char str_SJIS[] = "SJIS (Kanji)";
static char str_Korean[] = "KSC 5601-1987 (Korean)";
static char str_KoreanJohab[] = "Johab (Korean)";
static char str_KoreanWansung[] = "Wansung (Korean)";
static char str_Chinese[] = "GB 2312 (Simp. Chinese)";
static char str_ChineseTrad[] = "Big5 (Trad. Chinese)";
static char str_Reducing[] = "You are reducing the number of characters below the\012current number. This will delete some characters.\012Is that what you wish to do?";
static char str_Toofew[] = "Too Few Characters";
static char str_Badfamilyn[] = "Bad Family Name, must begin with an alphabetic character.";
static char str_Badfamily[] = "Bad Family Name";
static char str_Badascentdescentn[] = "Ascent and Descent must be positive and their sum less than 16384";
static char str_Badascentdescent[] = "Bad Ascent/Descent";
static char str_Fontinformation[] = "Font Information";
static char str_WhichPlane[] = "Which Unicode plane:";
static char str_Familyname[] = "Family Name:";
static unichar_t mnemonic_Familyname[] = 'F';
static char str_Fontname[] = "Fontname:";
static unichar_t mnemonic_Fontname[] = 'N';
static char str_Humanname[] = "Name For Humans:";
static unichar_t mnemonic_Humanname[] = 's';
static char str_Encoding[] = "Encoding:";
static unichar_t mnemonic_Encoding[] = 'E';
static char str_Load[] = "Load";
static unichar_t mnemonic_Load[] = 'L';
static char str_Makefromfont[] = "Make From Font";
static unichar_t mnemonic_Makefromfont[] = 'k';
static char str_Remove[] = "Remove";
static unichar_t mnemonic_Remove[] = 'M';
static char str_ForceEncoding[] = "Force Encoding";
static unichar_t mnemonic_ForceEncoding[] = 'F';
static char str_ForceEncodingPopup[] = "Normally changing the encoding moves characters from their old location\nto their appriate location in the new encoding.\nBut if this box is checked, then PfaEdit assumes that\nthe glyphs are in the right place already, but\nhave got the wrong names and will rename everything\nto match the new encoding.";
static char str_Italicangle[] = "Italic Angle:";
static unichar_t mnemonic_Italicangle[] = 'I';
static char str_Upos[] = "Underline Position:";
static unichar_t mnemonic_Upos[] = 'P';
static char str_Uheight[] = "Height:";
static unichar_t mnemonic_Uheight[] = 'H';
static char str_Ascent[] = "Ascent:";
static unichar_t mnemonic_Ascent[] = 'A';
static char str_Descent[] = "Descent:";
static unichar_t mnemonic_Descent[] = 'D';
static char str_Copyright[] = "Copyright:";
static unichar_t mnemonic_Copyright[] = 'r';
static char str_Xuid[] = "XUID:";
static unichar_t mnemonic_Xuid[] = 'X';
static char str_Numchars[] = "Number of Characters:";
static unichar_t mnemonic_Numchars[] = 'N';
static char str_CIDRegistry[] = "CID Registry:";
static char str_Guess[] = "Guess";
static unichar_t mnemonic_Guess[] = 'G';
static char *str_FamilyNameRequired = "A Font Family name is required";
static char *str_PSNameNotNumber = "A Postscript name may not be a number";
static char *str_BadFamilyName = "Bad Font Family Name";
static char *str_BadFontName = "Bad Font Name";
static char *str_BadModifierName = "Bad Font Modifier Name";
static char *str_BadPSName = "A Postscript name should be ASCII\nand must not contain (){}[]<>%%/";
static char *str_Names = "Names";
static char *str_Encoding2 = "Encoding";
static char *str_PSGeneral = "PS General";
static char *str_PSPrivate = "PS Private";
static char *str_TTFNames = "TTF Names";
static char *str_TTFValues = "TTF Values";
static char *str_Panose = "Panose";
static char *str_Comment = "Comment";
static char *str_InvalidEncoding = "Invalid Encoding";
static char *str_UniqueIDC = "UniqueID:";
static char mnemonic_UniqueIDC = 'U';
static char *str_VersionC = "Version:";
static char mnemonic_VersionC = 'V';
static char *str_HasVerticalMetrics = "Has Vertical Metrics";
static char mnemonic_HasVerticalMetrics = 'V';
static char *str_VOrigin = "Vertical Origin:";
static char mnemonic_VOrigin = 'O';
    /* Private info */
static char *str_PrivateKey = "Private Key";
static char *str_KeyInPrivate = "Key (in Private dictionary)";
static char *str_Add = "Add";
static char mnemonic_Add = 'A';
    /* TTF Values */
static char *str_UltraCondensed = "Ultra-Condensed (50%)"
static char *str_ExtraCondensed = "Extra-Condensed (62.5%)"
static char *str_Condensed75 = "Condensed (75%)"
static char *str_SemiCondensed = "Semi-Condensed (87.5%)"
static char *str_Medium100 = "Medium (100%)"
static char *str_SemiExpanded = "Semi-Expanded (112.5%)"
static char *str_Expanded125 = "Expanded (125%)"
static char *str_ExtraExpanded = "Extra-Expanded (150%)"
static char *str_UltraExpanded = "Ultra-Expanded (200%)"
static char *str_Thin100 = "100 Thin";
static char *str_ExtraLight200 = "200 Extra-Light";
static char *str_Light300 = "300 Light";
static char *str_Book400 = "400 Book";
static char *str_Medium500 = "500 Medium";
static char *str_DemiBold600 = "600 Demi-Bold";
static char *str_Bold700 = "700 Bold";
static char *str_Heavy800 = "800 Heavy";
static char *str_Black900 = "900 Black";
static char *str_EmbeddablePopup = "Can this font be embedded in a downloadable (pdf)\ndocument and if so what behaviors are permitted on\nboth the document and the font.";
static char *str_Embeddable = "Embeddable";
static char mnemonic_Embeddable = 'E';
static char *str_LineGapPopup = "Sets the linegap field in both the OS/2 and hhea tables";
static char *str_LineGap = "Line Gap:";
static char mnemonic_LineGap = 'L';
static char *str_VLineGapPopup = "Sets the linegap field in the vhea table.\nThis is the horizontal spacing between rows\nof vertically set text.";
static char *str_VLineGap = "Column Spacing:";
static char mnemonic_LineGap = 'R';
static char *str_NeverEmbeddable = "Never Embed/No Editing";
static char *str_OnlyPrint = "Printable Document";
static char *str_EditableDoc = "Editable Document";
static char *str_Installable = "Installable Font";
static char *str_NoSubsetting = "No Subsetting";
static char *str_NoSubsettingPopup = "If set then the entire font must be\nembedded in a document when any character is.\nOtherwise the document creator need\nonly include the characters it uses.";
static char *str_OnlyBitmaps = "Only Bitmaps";
static char *str_OnlyBitmapsPopup = "Only Bitmaps may be embedded\nOutline descriptions may not be\n(if font file contains no bitmaps\nthen nothing may be embedded)";
static char *str_Serif = "Serif";
static char *str_SansSerif = "Sans-Serif";
static char *str_Monospace = "Monospace";
static char *str_Script = "Script";
static char *str_Decorative = "Decorative";
static char *str_Any = "Any";
static char *str_NoFit = "No Fit";
static char *str_TextDisplay = "Text & Display";
static char *str_Pictoral = "Pictoral";
static char *str_Cove = "Cove";
static char *str_ObtuseCove = "Obtuse Cove";
static char *str_SquareCove = "Square Cove";
static char *str_ObtuseSquareCove = "Obtuse Square Cove";
static char *str_Square = "Square";
static char *str_Thin = "Thin";
static char *str_Bone = "Bone";
static char *str_Exaggerated = "Exaggerated";
static char *str_Triangle = "Triangle";
static char *str_NormalSans = "Normal Sans";
static char *str_ObtuseSans = "Obtuse Sans";
static char *str_PerpSans = "Perp Sans";
static char *str_Flared = "Flared";
static char *str_Rounded = "Rounded";
static char *str_VeryLight = "Very Light";
static char *str_Light = "Light";
static char *str_Book = "Book";
static char *str_Medium = "Medium";
static char *str_Demi = "Demi";
static char *str_Bold = "Bold";
static char *str_Heavy = "Heavy";
static char *str_Black = "Black";
static char *str_Nord = "Nord";
static char *str_OldStyle = "Old Style";
static char *str_Modern = "Modern";
static char *str_EvenWidth = "Even Width";
static char *str_Expanded = "Expanded";
static char *str_Condensed = "Condensed";
static char *str_VeryExpanded = "Very Expanded";
static char *str_VeryCondensed = "Very Condensed";
static char *str_Monospaced ="Monospaced";
static char *str_VeryLow ="Very Low";
static char *str_Low ="Low";
static char *str_MediumLow ="Medium Low";
static char *str_MediumHigh ="Medium High";
static char *str_High ="High";
static char *str_VeryHigh ="Very High";
static char *str_GradDiag ="Gradual/Diagonal";
static char *str_GradTrans ="Gradual/Transitional";
static char *str_GradVert ="Gradual/Vertical";
static char *str_GradHor ="Gradual/Horizontal";
static char *str_RapidVert ="Rapid/Vertical";
static char *str_RapidHor ="Rapid/Horizontal";
static char *str_InstantVert ="Instant/Vertical";
static char *str_NormalContact ="Normal/Contact";
static char *str_NormalWeighted ="Normal/Weighted";
static char *str_NormalBoxed ="Normal/Boxed";
static char *str_NormalFlattened ="Normal/Flattened";
static char *str_NormalRounded ="Normal/Rounded";
static char *str_NormalOffCenter ="Normal/Off-Center";
static char *str_NormalSquare ="Normal/Square";
static char *str_ObliqueContact ="Oblique/Contact";
static char *str_ObliqueWeighted ="Oblique/Weighted";
static char *str_ObliqueBoxed ="Oblique/Boxed";
static char *str_ObliqueFlattened ="Oblique/Flattened";
static char *str_ObliqueRounded ="Oblique/Rounded";
static char *str_ObliqueOffCenter ="Oblique/Off-Center";
static char *str_ObliqueSquare ="Oblique/Square";
static char *str_StraightArmsH = "Straight Arms/Horizontal";
static char *str_StraightArmsW = "Straight Arms/Wedge";
static char *str_StraightArmsV = "Straight Arms/Vertical";
static char *str_StraightArmsSS = "Straight Arms/Single Serif";
static char *str_StraightArmsDS = "Straight Arms/Double Serif";
static char *str_NStraightArmsH = "Non-Straight Arms/Horizontal";
static char *str_NStraightArmsW = "Non-Straight Arms/Wedge";
static char *str_NStraightArmsV = "Non-Straight Arms/Vertical";
static char *str_NStraightArmsSS = "Non-Straight Arms/Single Serif";
static char *str_NStraightArmsDS = "Non-Straight Arms/Double Serif";
static char *str_StandardTrimmed = "Standard/Trimmed";
static char *str_StandardPointed = "Standard/Pointed";
static char *str_StandardSerifed = "Standard/Serifed";
static char *str_HighTrimmed = "High/Trimmed";
static char *str_HighPointed = "High/Pointed";
static char *str_HighSerifed = "High/Serifed";
static char *str_ConstantTrimmed = "Constant/Trimmed";
static char *str_ConstantPointed = "Constant/Pointed";
static char *str_ConstantSerifed = "Constant/Serifed";
static char *str_LowTrimmed = "Low/Trimmed";
static char *str_LowPointed = "Low/Pointed";
static char *str_LowSerifed = "Low/Serifed";
static char *str_ConstantSmall = "Constant/Small";
static char *str_ConstantStandard = "Constant/Standard";
static char *str_ConstantLarge = "Constant/Large";
static char *str_DuckingSmall = "Ducking/Small";
static char *str_DuckingStandard = "Ducking/Standard";
static char *str_DuckingLarge = "Ducking/Large";
static char *str_WidthClass ="Width Class";
static char mnemonic_WidthClass ='C';
static char *str_WeightClass ="Weight Class";
static char mnemonic_WeightClass ='W';
static char *str_PFMFamily ="PFM Family";
static char mnemonic_PFMFamily ='F';
static char *str_Family ="Family";
static char mnemonic_Family ='F';
static char *str_Serifs ="Serifs";
static char mnemonic_Serifs ='S';
static char *str_Weight ="Weight";
static char mnemonic_Weight ='W';
static char *str_Proportion ="Proportion";
static char mnemonic_Proportion ='P';
static char *str_Contrast ="Contrast";
static char mnemonic_Contrast ='C';
static char *str_StrokeVar ="Stroke Variation";
static char mnemonic_StrokeVar ='V';
static char *str_ArmStyle ="Arm Style";
static char mnemonic_ArmStyle ='A';
static char *str_Letterform ="Letterform";
static char mnemonic_Letterform ='L';
static char *str_MidLine ="Midline";
static char mnemonic_MidLine ='M';
static char *str_XHeight ="X-Height";
static char mnemonic_XHeight ='X';
    /* TTF Names */
static char *str_Styles = "Styles (SubFamily)";
static char *str_UniqueID = "UniqueID";
static char *str_Version = "Version";
static char mnemonic_Version = 'V';
static char *str_Fullname = "Fullname";
static char *str_Trademark = "Trademark";
static char *str_Manufacturer = "Manufacturer";
static char *str_Designer = "Designer";
static char *str_Descriptor = "Descriptor";
static char *str_VenderURL = "Vender URL";
static char *str_DesignerURL = "Designer URL";
static char *str_License = "License";
static char *str_LicenseURL = "License URL";
static char *str_OTFFamily = "Preferred Family";
static char *str_OTFStyles = "Preferred Styles";
static char *str_CompatableFull = "Compatable Full";
static char *str_SampleText = "Sample Text";
static char *str_TranslateStyle = "Translate Style";
    /* MS Language list */
/* Language & Country (where applicable) in the native language if I can find */
/*  it, in english if I can't. Followed by the 2char language _ 2char country */
/* (again country isn't always applicable. Should basque be ES, FR? */
static char *str_Albanian = "Albanian sq_AL";
static char *str_Arabic = "Arabic ar";
static char *str_Basque = "Basque eu";
static char *str_Byelorussian = "Byelorussian be_BY";
static char *str_Bulgarian = "Bulgarian bg_BG";
static char *str_Catalan = "Catalan ca";
static char *str_MSChinese = "Chinese zh_CN";
static char *str_Croatian = "Croatian hr";
static char *str_Czech = "Czech cs_CZ";
static char *str_Danish = "Dansk da_DK";
static char *str_Dutch = "Nederlands nl_NL";
static char *str_Flemish = "Nederlands nl_BE";
static char *str_BrEnglish = "British English en_UK";
static char *str_AmEnglish = "American English en_US";
static char *str_CaEnglish = "Canadian English en_CA";
static char *str_AuEnglish = "Australian English en_AU";
static char *str_NZEnglish = "New Zeeland English en_NZ";
static char *str_IEEnglish = "Irish English en_IE";
static char *str_Estonia = "Estonian et_EE";
static char *str_Finnish = "Suomi fi_FI";
static char *str_FRFrench = "Franais Franais fr_FR";
static char *str_BEFrench = "Franais Belgique fr_BE";
static char *str_CAFrench = "Franais Canadien fr_CA";
static char *str_CHFrench = "Franais Suiss fr_CH";
static char *str_LUFrench = "Franais de Luxembourg fr_LU";
static char *str_DEGerman = "Deutsch Deutsch de_DE";
static char *str_CHGerman = "Schweizer Deutsch de_CH";
static char *str_ATGerman = "sterreichisch Deutsch de_AT";
static char *str_LUGerman = "Luxembourg Deutsch de_LU";
static char *str_LIGerman = "Liechtenstein Deutsch de_LI";
static char *str_Greek = "Greek el_GR";
static char *str_Hebrew = "Hebrew he_IL";
static char *str_Hungarian = "Hungarian hu_HU";
static char *str_Icelandic = "Icelandic is_IS";
static char *str_Italian = "Italiano it_IT";
static char *str_CHItalian = "Italiano Swiss it_CH";
static char *str_Japanese = "Japanese jp_JP";
static char *str_Latvian = "Latvian lv_LV";
static char *str_Lithuanian = "Lithuanian lt_LT";
static char *str_Norwegian = "Norsk Bokmal no_NO";
static char *str_NorwegianN = "Norsk Nynorsk no_NO";
static char *str_Polish = "Polish pl_PL";
static char *str_PTPortuguese = "Portugus Portugus pt_PT";
static char *str_BRPortuguese = "Portugus Brasil pt_BR";
static char *str_Romanian = "Romanian ro_RO";
static unichar_t str_Russian = { 0x420, 0x443, 0x441, 0x441, 0x43a, 0x438, 0x439, ' ', 'r','u','_','R','U',  '\0' };
static char *str_Slovak = "Slovak sk_SK";
static char *str_Slovenian = "Slovenian sl_SI";
static char *str_TradSpanish = "Espaol Espaol es_ES";
static char *str_MXSpanish = "Espaol Mjico es_MX";
static char *str_ModSpanish = "Espaol Espaol es_ES";
static char *str_Swedish = "Svensk sv_SE";
static char *str_Turkish = "Turkish tr_TR";
static char *str_Ukrainian = "Ukrainian uk_UA";
    /* Generate fonts */ /* savefontdlg */
static char str_Format[] = "Format:";
static char str_Savefailedtitle[] = "Save Failed";
static char str_Outputafm[] = "Output AFM";
static char str_Outputpfm[] = "Output PFM";
static char str_Nooutlinefont[] = "No Outline Font";
static char str_Nobitmapfonts[] = "No Bitmap Fonts";
static char str_Afmfailedtitle[] = "Afm Save Failed";
static char str_Pfmfailedtitle[] = "Pfm Save Failed";
static char *str_SavingFont = "Saving font";
static char *str_SavingPSFont = "Saving Postscript Font";
static char *str_SavingTTFont = "Saving TrueType Font";
static char *str_SavingCIDFont = "Saving CID Font";
static char *str_SavingAFM = "Saving AFM File";
static char *str_SavingPFM = "Saving PFM File";
static char *str_SavingBitmapFonts = "Saving Bitmap Font(s)";
static char *str_NotCID = "Not a CID format";
static char *str_NotCIDOk = "You are attempting to save a CID font in a non-CID format. This is ok, but it means that only the current sub-font will be saved.\nIs that what you want?";
static char *str_PixelList = "Pixel List";
static char *str_EncodingTooLarge="Encoding Too Large";
static char *str_TwoBEncIn1BFont = "Your font has a 2 byte encoding, but you are attempting to save it in a format that only supports one byte encodings. This means that you won't be able to access anything after the first 256 characters without reencoding the font.\n\nDo you want to procede anyway?";
    /* Goto character ... */
static char str_Badnumberin[] = "Bad Number in ";
static char str_Enternameofchar[] = "Enter the name of a character in the font";
static char str_Couldntfindchar[] = "Could not find the character: ";
    /* Font has changed dlg */
static char str_Dontsave[] = "Don't Save";
static unichar_t mnemonic_Dontsave[] = 'D';
static char str_Fontchange[] = "Font changed";
/* Font %.70s in file %.70s has been changed.\nDo you want to save it? */
static char str_Fontchangepre[] = "Font ";
static char str_Fontchangemid[] = " in file ";
static char str_Fontchangepost[] = " has been changed.\012Do you want to save it?";
static char str_Fontchangerevertpost[] = " has been changed.\012Reverting the file will lose those changes.\012Is that what you want?";
    /* General messages from fontview.c */
static char str_Revert[] = "Revert";
static unichar_t mnemonic_Revert[] = 'R';
static char str_Manywin[] = "Many Windows";
static char str_Toomany[] = "This involves opening more than 10 windows.\012Is that really what you want?";
static char *str_MergeKernInfo = "Merge Kern Info";
static char *str_OpenPostscript = "Open Postscript Font";
static char *str_Loading = "Loading...";
static char *str_LoadingFontFrom = "Loading font from ";
static char *str_ReadingGlyphs = "Reading Glyphs";
static char *str_InterpretingGlyphs = "Interpreting Glyphs";
static char *str_CouldntOpenFontTitle = "Couldn't open font";
static char *str_CouldntOpenFont = "Couldn't open font (or in bad format): %hs";
static char *str_SaveFailed = "Save Failed";
static char *str_Transforming = "Transforming...";
static char *str_Simplifying = "Simplifying...";
static char *str_AddingExtrema = "Adding points at Extrema...";
static char *str_RemovingOverlap = "Removing overlaps...";
static char *str_CorrectingDirection = "Correcting Direction...";
static char *str_Rounding = "Rounding to integer...";
static char *str_Autotracing = "Autotracing...";
static char *str_ClearDependent = "You are attempting to clear %.30hs which is refered to by\nanother character. Are you sure you want to clear it?";
static char *str_UnlinkAll = "Unlink All";
static char *str_dPixelBitmap = "%d pixel bitmap";
static char *str_RestrictedRightsFont = "This font is marked with an FSType of 2 (Restricted\nLicense). That means it is not editable without the\npermission of the legal owner.\n\nDo you have such permission?";
static char *str_RestrictedFont = "Restricted Font";
static char *str_CloseFont = "Please close font";
static char *str_CloseFontForCID = "Please close %hs before inserting it into a CID font";
static char *str_CIDRemoveFontCheck = "Are you sure you wish to remove sub-font %1$.40hs from the CID font %2$.40hs";
    /* Messages from accented characters */
static char str_Buildingaccented[] = "Building accented letters";
static char str_Replacearing[] = "Replace ";
static char str_Areyousurearing[] = "Are you sure you want to replace ?\012The ring will not join to the A.";
static char str_Yes[] = "Yes";
static unichar_t mnemonic_Yes[] = 'Y';
static char str_No[] = "No";
static unichar_t mnemonic_No[] = 'N';
    /* Choices from bitmap editing */
static char str_Rectangle[] = "Rectangle";
static char str_FilledRectangle[] = "Filled Rectangle";
static char str_Elipse[] = "Elipse";
static char str_FilledElipse[] = "Filled Elipse";
    /* Get Info ... */
static char str_Multiple[] = "Multiple";
/* "There is already a character with this Unicode encoding,\n(named %.10s at local encoding %d)\nIs that what you want?" */
static char str_Alreadycharpre[] = "There is already a character with this Unicode encoding,\012(named ";
static char str_Alreadycharmid[] = " at local encoding ";
static char str_Alreadycharpost[] = ")\012Is that what you want?";
static char str_Alreadycharnamed[] = "There is already a character with this name,\012do you want to swap names?";
/* There is already a ligature made from these components,\n(named %.10s at local encoding %d)\nIs that what you want? */
static char str_Alreadyligpre[] = "There is already a ligature made from these components,\012(named ";
static char str_Alreadyligmid[] = " at local encoding ";
static char str_Alreadyligpost[] = ")\012Is that what you want?";
static char str_Badligature[] = "A ligature may not be made up of itself";
/* "The component %.20s is not in this font,\nIs that what you want?" */
static char str_Missingcomponantpre[] = "The component ";
static char str_Missingcomponantpost[] = " is not in this font,\012Is that what you want?";
static char str_Done[] = "Done";
static unichar_t mnemonic_Done[] = 'D';
static char str_Ligpop[] = "If this character is a ligature,\012then enter the names of the characters\012into which it decomposes";
static char *str_Show[] = "Show";
static unichar_t mnemonic_Show[] = 'S';
static char *str_PointInfo = "Point Info";
static char *str_ImageInfo = "Image Info";
static char *str_ReferenceInfo = "Reference Info";
static char *str_Dependents = "Dependents";
static char *str_Offset = "Offset";
static char *str_BaseX = "Base X";
static char *str_BaseY = "Base Y";
static char *str_NextCP = "Next CP:";
static char *str_NextCPX = "Next CP X";
static char *str_NextCPY = "Next CP Y";
static char *str_PrevCP = "Prev CP:";
static char *str_PrevCPX = "Prev CP X";
static char *str_PrevCPY = "Prev CP Y";
static char *str_UnicodeName = "Unicode Name:";
static char mnemonic_UnicodeName = 'N';
static char *str_UnicodeValue = "Unicode Value:";
static char mnemonic_UnicodeValue = 'V';
static char *str_UnicodeChar = "Unicode Char:";
static char mnemonic_UnicodeChar = 'h';
static char *str_SetFromName = "Set From Name";
static char mnemonic_SetFromName = 'a';
static char *str_SetFromValue = "Set From Value";
static char mnemonic_SetFromValue = 'u';
static char *str_Ligature = "Ligature:";
static char mnemonic_Ligature = 'L';
static char *str_TransformedBy = "Transformed by:";
static char *str_NotUnicodeBMP = "Warning: This value is outside of the Unicode BMP.\nIs that really what you want?";
static char *str_PossiblyTooBig = "Value possibly out of range";
    /* Import */
static char str_Duppixelsize[] = "Duplicate pixelsize";
/* "The font database already contains a bitmap\nfont with this pixelsize (%d)\nDo you want to overwrite it?" */
static char str_Duppixelsizepre[] = "The font database already contains a bitmap\012font with this pixelsize (";
static char str_Duppixelsizepost[] = ")\012Do you want to overwrite it?";
static char str_NoBitmapFont = "No Bitmap Font";
static char str_NoBitmapFontIn = "Could not find a bitmap font in %hs";
    /* Private Info */
static char str_Bluequest[] = "This will change both BlueValues and OtherBlues.\012Do you want to continue?";
static char str_Hstemquest[] = "This will change both StdHW and StemSnapH.\012Do you want to continue?";
static char str_Vstemquest[] = "This will change both StdVW and StemSnapV.\012Do you want to continue?";
static char str_Arrayquest[] = "Expected array\012Procede anyway?";
static char str_Numberquest[] = "Expected number\012Procede anyway?";
static char str_Boolquest[] = "Expected boolean\012Procede anyway?";
static char str_Codequest[] = "Expected code\012Procede anyway?";
static char str_Badtype[] = "Bad type";
static char str_Delete[] = "Delete";
static char mnemonic_Delete[] = 'D';
    /* Prefs */
static char str_Default[] = "Default";
static char *str_PrefsPopupAWS[] = "Changing the width of a character\nchanges the widths of all accented\ncharacters based on it.";
static char *str_PrefsPopupALS[] = "Changing the left side bearing\nof a character adjusts the lbearing\nof other references in all accented\ncharacters based on it.";
static char *str_PrefsPopupForNewFonts[] = "Default encoding for\nnew fonts";
static char *str_PrefsPopupLoc[] = "Character set used by the local\nclipboard, filesystem, etc. (only\n8bit charsets currently supported\nhere)";
static char *str_PrefsPopupAH[] = "AutoHint before rasterizing";
static char *str_PrefsPopupFN[] = "Name used for foundry field in bdf\nfont generation";
static char *str_PrefsPopupXU[] = "If specified this should be a space separated list of integers each\nless than 16777216 which uniquely identify your organization\nPfaEdit will generate a random number for the final component.";
static char *str_PrefsPopupRulers[] = "Display rulers in the Outline Character View";
static char *str_PrefsPopupSepHints[] = "Have seperate controls for display horizontal and vertical hints.";
static char *str_PrefsPopupIC[] = "In the Outline View, the Shift key constrains motion to be parallel to the ItalicAngle rather than the vertical.";
static char *str_PrefsPopupAO[] = "The percentage of an em by which an accent is offset from its base character in Build Accent";
static char *str_PrefsPopupGA[] = "When placing grave and acute accents above letters, should\nPfaEdit center them based on their full width, or\nshould it just center based on the lowest point\nof the accent.";
static char *str_PrefsPopupAA[] = "The number of em-units by which an arrow key will move a selected point";
static char *str_PrefsPopupGF[] = "Adobe has assigned the names Delta, Omega and mu\nto Increment, Ohm and micro signs respectively\nThis seems very odd to Greek font designers who use\nthe names to refer to letters of the alphabet.\nSo there is ambiguity as to what the names mean.\nSetting this flag tries to deal with the ambiguity\nby generating fonts with extra glyphs.";
static char *str_PrefsPopupSD[] = "When the mouse pointer is within this many pixels\nof one of the various interesting features (baseline,\nwidth, grid splines, etc.) the pointer will snap\nto that feature.";
static char *str_Generic[] = "Generic";
static char *str_ScriptMenu[] = "Script Menu";
static char *str_MenuName[] = "Menu Name";
static char *str_ScriptMenuPopup[] = "You may create a script menu containing up to 10 frequently used scripts\nEach entry in the menu needs both a name to display in the menu and\na script file to execute. The menu name may contain any unicode characters.\nThe button labeled \"...\" will allow you to browse for a script file.";
static char *str_ScriptFile[] = "Script File";
static char *str_BrowseForFile[] = "...";
static char *str_MenuNameWithNoScript[] = "Menu name with no associated script";
static char *str_ScriptWithNoMenuName[] = "Script with no associated menu name";
    /* Hints */
static char *str_base = "Base:";
static unichar_t mnemonic_base = 'B';
static char *str_size = "Size:";
static unichar_t mnemonic_size = 'S';
static char *str_HStem = "HStem";
static unichar_t mnemonic_HStem = 'H';
static char *str_VStem = "VStem";
static unichar_t mnemonic_VStem = 'V';
static char *str_Create = "Create";
static unichar_t mnemonic_Create = 'e';
static char *str_PrevArrow = "< Prev";
static unichar_t mnemonic_PrevArrow = 'P';
static char *str_NextArrow = "Next >";
static unichar_t mnemonic_NextArrow = 'N';
static char *str_CreateHint = "Create Hint...";
static char *str_CreateHorizontalHint = "Create Horizontal Stem Hint";
static char *str_CreateVerticalHint = "Create Vertical Stem Hint";
    /* expand stroke */
static char *str_LineCap = "Line Cap";
static char *str_Butt = "Butt";
static unichar_t mnemonic_Butt = 'B';
static char *str_Round = "Round";
static unichar_t mnemonic_Round = 'R';
static char *str_Squareq = "Square";
static unichar_t mnemonic_Squareq = 'q';
static char *str_LineJoin = "Line Join";
static char *str_Miter = "Miter";
static unichar_t mnemonic_Miter = 'M';
static char *str_Roundu = "Round";
static unichar_t mnemonic_Roundu = 'u';
static char *str_Bevel = "Bevel";
static unichar_t mnemonic_Bevel = 'v';
static char *str_StrokeWidth = "Stroke Width:";
static unichar_t mnemonic_StrokeWidth = 'W';
static char *str_Strok = "Stroke";
static unichar_t mnemonic_Stroke = 'S';
static char *str_Caligraphic = "Caligraphic";
static unichar_t mnemonic_Caligraphic = 'C';
static char *str_PenAngle = "Pen Angle:";
static unichar_t mnemonic_PenAngle = 'A';
static char *str_BadStroke = "Bad Stroke";
static char *str_StrokeWidthTooBig = "The stroke width is so big that the generated path\nmay intersect itself in %.100hs";
    /* Auto Width/Kern */
static char *str_EnterTwoCharRange = "Enter two character ranges";
static char *str_ToBeAdjusted = "to be adjusted.";
static char *str_CharsLeft = "Chars on Left";
static char *str_CharsRight = "Chars on Right";
static char *str_All = "All";
static unichar_t str_stdCharRange[] = { 'A-Za-z0-9',  '\0' };
static char *str_Selected = "Selected";
static char *str_Spacing = "Spacing";
static char *str_TotalKerns = "Total Kerns:";
static char *str_Threshold = "Threshold:";
static char *str_NoCharsSelected = "No characters selected.";
    /* Auto Trace */
static char *str_NothingToTrace = "Nothing to trace";
static char *str_NoAutotrace = "Can't find autotrace";
static char *str_NoAutotraceProg = "Can't find autotrace program (set AUTOTRACE environment variable)";
static char *str_AdditionalAutotraceArgs = "Additional arguments for autotrace program:";
    /* Bitmap dlg */
static char *str_AllChars = "All Characters";
static char *str_SelChars = "Selected Characters";
static char *str_CurChar = "Current Character";
static char *str_BadRegenSize = "Attempt to regenerate a pixel size that has not been created: ";
static char *str_PixelSizes = "Pixel Sizes:";
static char *str_listPixelSizes = "The list of current pixel bitmap sizes";
static char *str_RemovingSize = " Removing a size will delete it.";
static char *str_AddingSize = " Adding a size will create it.";
static char *str_AddingSizeScale = " Adding a size will create it by scaling.";
static char *str_SpecifyRegenSizes = "Specify bitmap sizes to be regenerated";
static char *str_PointSizes75 = "Point sizes on a 75 dpi screen";
static char *str_PointSizes100 = "Point sizes on a 100 dpi screen";
static char *str_PointSizes96 = "Point sizes on a 96 dpi screen";
static char *str_PointSizes120 = "Point sizes on a 120 dpi screen";
static char *str_PointSizes72 = "Point sizes on a 72 dpi screen";
static char *str_XSizes = "X";
static char *str_WinSizes = "Win";
static char *str_MacSizes = "Mac";
static char *str_UseFreeType = "Use FreeType";
static char *str_ScalingBitmaps = "Scaling Bitmaps";
    /* Bitmap view */
/* "%s at %d from %s", charactername, pixelsize, fontname */
static char *str_bvat = " at ";
static char *str_bvfrom = " from ";
static char *str_RecalculateBitmaps = "Recalculate Bitmaps";
    /* BV Edit */
static char *str_skewRatio = "Enter the ratio of x-skew to y rise";
static char str_BadNumber[] = "Bad Number";
    /* Char View */
/* "%s from %s", charactername, fontname */
static char *str_cvfrom = " from ";
    /* CV Export */
static char *str_PixelSizeQ = "Pixel size?";
static char *str_PixelSize = "Pixel size:";
static char *str_BitsPerPixel = "Bits/Pixel:";
static char *str_InvalidBits = "The only valid values for bits/pixel are 1, 2, 4 or 8";
    /* CV Images */
static char *str_CantFindFile = "Can't find the file";
static char *str_BadXFigFile = "Bad xfig file";
static char *str_BadImageFile = "Bad image file";
static char *str_BadImageFileName = "Bad image file: %.100hs";
static char *str_BadImageFileNotBitmap = "Bad image file, not a bitmap: %.100hs";
static char *str_NothingLoaded = "Nothing Loaded";
static char *str_NothingSelected = "Nothing Selected";
static char *str_MoreImagesThanSelected = "More Images Than Selected Characters";
static char *str_BadTemplate = "Bad Template";
static char *str_BadTemplateNoExtension = "Bad template, no extension";
static char *str_BadTemplateUnrecognized = "Bad template, unrecognized format";
static char *str_UnicodeNotInFont = "Unicode value not in font";
static char *str_UnicodeValueNotInFont = "Unicode value (%x) not in font, ignored";
static char *str_EncodingNotInFont = "Encoding value not in font";
static char *str_EncodingValueNotInFont = "Encoding value (%x) not in font, ignored";
static char *str_Image = "Image";
static char *str_Template = "Image Template";
static char *str_EPSTemplate = "EPS Template";
static char *str_AsBackground = "As Background";
static char *str_OnlyOneFont = "Only One Font";
static char *str_OnlyOneFontBackground = "Only one font may be imported into the background";
    /* CV Palettes */
static char *str_SizeOfPoints="Size of Points";
static char *str_Regular="Regular";
static char *str_Points="Points:";
static char *str_RRRad="Round Rectangle Radius";
static char *str_Polygon="Polygon";
static char *str_Star="Star";
static char *str_NumPSVert="Number of star points/Polygon verteces";
/* V is an abbreviation for "Visible", and E for Editable */
static char *str_V="V";
static char *str_E="E";
static char *str_Layer="Layer";
static char *str_IsEdit="Is Layer Editable?";
static char *str_IsVis="Is Layer Visible?";
/* For Foreground. Should be short */
static char *str_Fore="Fore";
static char *str_Back="Back";
static char *str_Grid="Guide";
static char *str_HHints="HHints";
static char *str_VHints="VHints";
static char *str_DHints="DHints";
static char *str_HMetrics="HMetrics";
static char *str_VMetrics="VMetrics";
static char *str_Bitmap="Bitmap";
static char *str_ShapeType = "Shape Type";
/* Popups */
static char *str_Pointer = "Pointer";
static char *str_PopMag = "Magnify (Minify with alt)";
static char *str_AddCurvePoint = "Add a curve point";
static char *str_AddCornerPoint = "Add a corner point";
static char *str_AddTangentPoint = "Add a tangent point";
static char *str_AddPenPoint = "Add a point, then drag out its control points";
static char *str_popKnife = "Cut splines in two";
static char *str_popRuler = "Measure distance, angle between points";
static char *str_popScale = "Scale the selection";
static char *str_popFlip = "Flip the selection";
static char *str_popRotate = "Rotate the selection";
static char *str_popSkew = "Skew the selection";
static char *str_popRectElipse = "Rectangle or Elipse";
static char *str_popPolyStar = "Polygon or Star";
static char *str_popPencil = "Set/Clear Pixels";
static char *str_popLine = "Draw a Line";
static char *str_popShift = "Shift Entire Bitmap";
static char *str_popHand = "Scroll Bitmap";
    /* Undoes */
static char *str_BitmapPaste = "Bitmap Paste";
static char *str_YesToAll = "Yes to All";
static char *mnemonic_YesToAll = 'A';
static char *str_NoToAll = "No to All";
static char *mnemonic_NoToAll = 'o';
/* "The clipboard contains a bitmap character of size %d,\na size which is not in your database.\nWould you like to create a bitmap font of that size,\nor ignore this character?" */
static char *str_ClipContainsPre = "The clipboard contains a bitmap character of size ";
static char *str_ClipContainsPost = ",\na size which is not in your database.\nWould you like to create a bitmap font of that size,\nor ignore this character?";
static char *str_Pasting = "Pasting...";
static char *str_SelfRef = "Self-referential character"
static char *str_AttemptSelfRef = "Attempt to make a character that refers to itself";
static char *str_BadReference = "Bad Reference";
static char *str_FontNoRef = "You are attempting to paste a reference to %1$hs into %2$hs.\nBut %1$hs does not exist in this font.\nWould you like to copy the original splines (or delete the reference)?";
static char *str_FontNoRefNoOrig = "You are attempting to paste a reference to %1$hs into %2$hs.\nBut %1$hs does not exist in this font, nor can I find the original character refered to.\nIt will not be copied.";
static char *str_DontWarnAgain = "Don't Warn Again";
static char *mnemonic_DontWarnAgain = 'W';
static char *str_NoVerticalMetrics = "No Vertical Metrics";
static char *str_FontNoVerticalMetrics = "This font does not have vertical metrics enabled";
    /* dump pfa */
static char *str_CvtPS = "Converting Postscript";
    /* encoding */
static char *str_BadEncFormat = "Bad encoding file format";
static char *str_PleaseNameEnc = "Please name this encoding";
/* Either insert first, second or third, or the number followed by the "th" string (5th, 6th, etc.) */
/* Please name the %d/first/second/third encoding in this file" */
static char *str_PleaseNameEncPre = "Please name the ";
static char *str_PleaseNameEncPost = " encoding in this file";
static char *str_First = "First";
static char *str_Second = "Second";
static char *str_Third = "Third";
static char *str_th = "th";
static char *str_RemoveEncoding = "Remove Encoding";
static char *str_LoadEncoding = "Load Encoding";
static char *str_UseCidMap = "Use CID Map";
static char *str_SearchForCIDMap = "This font is based on the charset %1$.20hs-%2$.20hs-%3$d, but the best I've been able to find is %1$.20hs-%2$.20hs-%4$d.\nShall I use that or let you search?";
static char *str_UseIt = "Use It";
static char mnemonic_UseIt = 'U';
static char *str_Search = "Search";
static char mnemonic_Search = 'S';
static char *str_GiveUp = "Give Up";
static char mnemonic_GiveUp = 'G';
static char *str_NoCidmap = "No cidmap file..."
static char *str_LookForCidmap = "PfaEdit was unable to find a cidmap file for this font. It is not essential to have one, but some things will work better if you do. If you have not done so you might want to download the cidmaps from:\n   http://pfaedit.sourceforge.net/cidmaps.tgz\nand then gunzip and untar them and move them to:\n  %.80hs\n\nWould you like to search your local disk for an appropriate file?"
static char *str_AreYouSureCharset = "Are you sure you don't want to use the cidmap I found?";
static char *str_FindCharset = "Find a cidmap file..."
static char *str_Browse = "Browse...";
static char *str_SelectCIDOrdering = "Please select a CID ordering"
static char *str_ExtraCharsTitle = "Extraneous characters";
static char *str_ExtraChars = "The current encoding contains characters which I cannot map to CIDs.\nShould I delete them or add them to the end (where they may conflict with future ros definitions)?";

    /* fv composit */
static char *str_MissingChar = "Missing Character...";
static char *str_Missingdotlessi="Your font is missing the dotlessi character,\nplease add it and remake your accented characters";
static char *str_Missingdotlessj="Your font is missing the dotlessj character,\nplease add it and remake your accented characters";
    /* fv fonts */
static char *str_MergingProb = "Merging Problem";
static char *str_MergingFontSelf = "Merging a font with itself achieves nothing";
static char *str_Other = "Other ..."
static char *str_FontToMergeInto = "Font to merge into %.20s";
static char *str_InterpolatingProb = "Interpolating Problem";
static char *str_InterpolatingFontSelf = "Interpolating a font with itself achieves nothing";
static char *str_Amount = "Amount";
static char *str_InterpBetween = "Interpolating between %.20s and:";
static char *str_by = "by";
    /* fv metrics */
static char *str_SetWidthTo = "Set Width To:";
static char *str_SetLBearingTo = "Set LBearing To:";
static char *str_SetRBearingTo = "Set RBearing To:";
static char *str_SetVWidthTo =    "Set Vert. Advance To:";
static char *str_IncrWidthBy = "Increment Width By:";
static char *str_IncrLBearingBy = "Increment LBearing By:";
static char *str_IncrRBearingBy = "Increment RBearing By:";
static char *str_IncrVWidthBy =   "Increment V. Adv. By:";
static char *str_ScaleWidthBy = "Scale Width By:";
static char *str_ScaleLBearingBy = "Scale LBearing By:";
static char *str_ScaleRBearingBy = "Scale RBearing By:";
static char *str_ScaleVWidthBy =   "Scale VAdvance By:";
    /* Import bdf */
static char *str_PixelSizeFont = "What is the pixel size of the font in this file?";
static char *str_CouldNotOpenFile = "Couldn't open file"
static char *str_CouldNotOpenFileName = "Couldn't open file %.200hs"
static char *str_NotBdfFile = "Not a bdf file"
static char *str_NotBdfFileName = "Not a bdf file %.200hs"
static char *str_NotPkFile = "Not a pk file"
static char *str_NotPkFileName = "Not a (metafont) pk file %.200hs"
static char *str_NotPcfFile = "Not a pcf file"
static char *str_NotPcfFileName = "Not an X11 pcf file %.200hs"
static char *str_LoadingFrom = "Loading font from %.100hs";
static char *str_DuplicateName = "Duplicate Name";
static char *str_DuplicateCharName = "Duplicate character name (%hs) in font";
    /* problems */
static char *str_ProbOpenPath = "The two selected points are the endpoints of an open path";
static char *str_ProbPointsTooClose = "The selected points are too close to each other";
static char *str_ProbMissingExtreme = "The selected spline does not have a point at its extremum(a)";
static char *str_ProbXNear = "The x coord of the selected point is near the specified value";
static char *str_ProbYNear = "The y coord of the selected point is near the specified value";
static char *str_ProbYBase = "The y coord of the selected point is near the baseline";
static char *str_ProbYXHeight = "The y coord of the selected point is near the xheight";
static char *str_ProbYCapHeight = "The y coord of the selected point is near the cap height";
static char *str_ProbYAs = "The y coord of the selected point is near the ascender height";
static char *str_ProbYDs = "The y coord of the selected point is near the descender height";
static char *str_ProbLineHor = "The selected line segment is nearly horizontal";
static char *str_ProbLineVert = "The selected line segment is nearly vertical";
static char *str_ProbLineItal = "The selected line segment is near the italic angle";
static char *str_ProbAboveHor = "The control point above the selected point is nearly horizontal";
static char *str_ProbAboveVert = "The control point above the selected point is nearly vertical";
static char *str_ProbAboveItal = "The control point above the selected point is near the italic angle";
static char *str_ProbBelowHor = "The control point below the selected point is nearly horizontal";
static char *str_ProbBelowVert = "The control point below the selected point is nearly vertical";
static char *str_ProbBelowItal = "The control point below the selected point is near the italic angle";
static char *str_ProbLeftHor = "The control point left of the selected point is nearly horizontal";
static char *str_ProbLeftVert = "The control point left of the selected point is nearly vertical";
static char *str_ProbLeftItal = "The control point left of the selected point is near the italic angle";
static char *str_ProbRightHor = "The control point right of the selected point is nearly horizontal";
static char *str_ProbRightVert = "The control point right of the selected point is nearly vertical";
static char *str_ProbRightItal = "The control point right of the selected point is near the italic angle";
static char *str_ProbPtNearHHint = "The selected point is near a horizontal stem hint";
static char *str_ProbPtNearVHint = "The selected point is near a vertical stem hint";
static char *str_ProbHintHWidth = "This character contains a horizontal hint near the specified width";
static char *str_ProbHintVWidth = "This character contains a vertical hint near the specified width";
static char *str_ProbHintControl = "This hint does not control any points";
static char *str_ProbExpectedCounter = "This path should have been drawn in a counter-clockwise direction";
static char *str_ProbExpectedClockwise = "This path should have been drawn in a clockwise direction";
static char *str_ProbFlippedRef = "This reference has been flipped, so the paths in it are drawn backwards"
static char *str_ProbAboveOdd = "The control point above the selected point is outside the spline segment";
static char *str_ProbBelowOdd = "The control point below the selected point is outside the spline segment";
static char *str_ProbRightOdd = "The control point right of the selected point is outside the spline segment";
static char *str_ProbLeftOdd = "The control point left of the selected point is outside the spline segment";
static char *str_ProbCIDMult = "This character is defined in more than one of the CID subfonts";
static char *str_ProbCIDBlank = "This character is not defined in any of the CID subfonts";
static char *str_ProbExplain = "Problem explanation";
static char *str_Stop = "Stop";
static char *mnemonic_Stop = 'S';
static char *str_Next = "Next";
static char *mnemonic_Next = 'N';
static char *str_OpenPaths = "Open Paths";
static char *mnemonic_OpenPaths = 'P';
static char *str_OpenPathsPopup = "All paths should be closed loops, there should be no exposed endpoints";
static char *str_Points2Close = "Points too close";
static char *mnemonic_Points2Close = 't';
static char *str_Points2ClosePopup = "If two adjacent points on the same path are less than a few\nemunits apart they will cause problems for some of pfaedit's\ncommands. PostScript shouldn't care though.";
/*static char *str_MissingExtrema = "Missing Extrema";
/*static char *mnemonic_MissingExtrema = 'E';
/*static char *str_MissingExtremaPopup = "Ghostview (perhaps other interpreters) has a problem when a\nhint exists without any points that lie on it. Usually this is because\nthere are no points at the extrema";*/
static char *str_XNear = "X near";
static char *mnemonic_XNear = 'X';
static char *str_XNearPopup = "Allows you to check that vertical stems in several\ncharacters start at the same location.";
static char *str_YNear = "Y near";
static char *mnemonic_YNear = 'Y';
static char *str_YNearPopup = "Allows you to check that horizontal stems in several\ncharacters start at the same location.";
static char *str_YNearStd = "Y near standard heights";
static char *mnemonic_YNearStd = 'S';
static char *str_YNearStdPopup = "Allows you to find points which are slightly\noff from the baseline, xheight,cap height,\nascender, descender heights.";
static char *str_LineStd = "Edges near horizontal/vertical";
static char *str_LineStd2 = "Edges near horizontal/vertical/italic";
static char *mnemonic_LineStd = 'E';
static char *str_LineStdPopup = "Allows you to find lines which are almost,\nbut not quite horizontal or vertical\n(or at the italic angle).";
static char *str_CpStd = "Control Points near horizontal/vertical";
static char *str_CpStd2 = "Control Points near horizontal/vertical/italic";
static char *mnemonic_CpStd = 'C';
static char *str_CpStdPopup = "Allows you to find control points which are almost,\nbut not quite horizontal or vertical\nfrom their base point\n(or at the italic angle).";
static char *str_CpOdd = "Control Points beyond spline";
static char *mnemonic_CpOdd = 'b';
static char *str_CpOddPopup = "Allows you to find control points which when projected\nonto the line segment between the two end points lie\noutside of those end points";
static char *str_HintNoPt = "Hints controlling no points";
static char *mnemonic_HintNoPt = 'H';
static char *str_HintNoPtPopup = "Ghostview (perhaps other interpreters) has a problem when a\nhint exists without any points that lie on it.";
static char *str_PtNearHint = "Points near hint edges";
static char *mnemonic_PtNearHint = 'P';
static char *str_PtNearHintPopup = "Often if a point is slightly off from a hint\nit is because a stem is made up\nof several segments, and one of them\nhas the wrong width.";
static char *str_HintWidth = "Hint Width Near";
static char *mnemonic_HintWidth = 'W';
static char *str_HintWidthPopup = "Allows you to check that stems have consistant widths..";
static char *str_CheckDirection = "Check outermost paths clockwise";
static char *mnemonic_CheckDirection = 'o';
static char *str_CheckDirectionPopup = "Postscript and TrueType require that paths be drawn\nin a clockwise direction. This lets you check that they\nare.";
static char *str_CheckFlippedRefs = "Check flipped references";
static char *mnemonic_CheckFlippedRefs = 'r';
static char *str_CheckFlippedRefsPopup = "Postscript and TrueType require that paths be drawn\nin a clockwise direction. If you have a reference\nthat has been flipped then the paths in that reference will\nprobably be counter-clockwise. You should unlink it and do\nCorect direction on it.";
static char *str_CIDMultiple = "Check for CIDs defined twice";
static char *mnemonic_CIDMultiple = 'O';
static char *str_CIDMultiplePopup = "Check whether a CID is defined in more than one sub-font";
static char *str_CIDBlank = "Check for undefined CIDs";
static char *mnemonic_CIDBlank = 'O';
static char *str_CIDBlankPopup = "Check whether a CID is undefined in all sub-fonts";
static char *str_PointsNear = "Points are \"Near\" if within";
static char *mnemonic_PointsNear = 'N';
static char *str_Near = "Near";
static char *str_ExplainErr = "Stop after each error and explain";
static char *mnemonic_ExplainErr = 'A';
static char *str_IgnoreProblemFuture = "Ignore this problem in the future";
/* "Found %g, expected %g" */
static char *str_Found = "Found ";
static char *str_Expected = ", expected ";
	/* Meta font */
static char *str_MetaFont = "Meta Font...";
static char mnemonic_MetaFont = 'M';
static char *str_CounterTooSmallT = "Counter Too Small";
static char *str_CounterTooSmall = "A counter was requested to be too small, it has been pegged at its minimum value";
static char *str_Simple = "Simple";
static char *str_Advanced = "Advanced";
static char *str_Embolden = "Embolden";
static char *str_Condense = "Condense";
static char *str_Expand = "Expand";
static char *str_Stems = "Stems";
static char *str_HCounters = "H Counters";
static char *str_VCounters = "V Counters";
static char *str_StemScale = "Scale Stems By:";
static char *str_CounterScale = "Scale Counters By:";
static char *str_XHeightFrom = "XHeight From:";
static char *str_To = "To:";
static char *str_MetamorphosingFont = "Metamorphosing Font...";
	/* to ttf */
static char *str_PickFont = "Pick a font, any font...";
static char *str_MultipleFontsPick = "There are multiple fonts in this file, pick one";
static char *str_AutoHintingFont = "Auto Hinting Font...";
static char *str_SavingOpenTypeFont = "Saving OpenType Font";
static char *str_LoadBitmapFonts = "Load bitmap fonts?";
static char *str_LoadTTFBitmaps = "Do you want to load the bitmap fonts embedded in this true/open type file?\n(And if so, which)";
static char *str_BadEncoding = "Bad Encoding";
static char *str_ExtraneousSingleByte = "There is a single byte character (%d) using one of the slots needed for double byte characters";
static char *str_OutOfEncoding = "There is a character (%d) which cannot be encoded";
static char *str_NotNormallyEncoded = "There is a character (%d) which is not normally in the encoding";
	/* Spline Fill */
static char *str_Rasterizing = "Rasterizing...";
static char *str_GenBitmap = "Generating bitmap font";
static char *str_GenAntiAlias = "Generating anti-alias font";
/* "%d pixels" (for the size of the font being rasterized) */
static char *str_Pixels = " pixels";
	/* print */
static char *str_PrintingFont = "Printing Font";
static char *str_GeneratingPostscriptFont = "Generating Postscript Font";
static char *str_FailedGenPost = "Failed to generate postscript font";
static char *str_PageSetup = "Page Setup";
static char *str_Setup = "Setup";
static char mnemonic_Setup = 'e';
static char *str_Other2 = "Other";
static char mnemonic_Other = 'o';
static char *str_PrintOtherPopup = "Any other command with all its arguments.\nThe command must expect to deal with a postscript\nfile which it will find by reading its standard input.";
static char *str_ToFile = "To File";
static char mnemonic_ToFile = 'F';
static char *str_PageSize = "PageSize:";
static char mnemonic_PageSize = 'S';
static char *str_Copies = "Copies:";
static char mnemonic_Copies = 'C';
static char *str_Printer = "Printer:";
static char mnemonic_Printer = 'P';
static char *str_PrintToFile = "Print To File...";
static char *str_Pointsize = "Pointsize:";
static char mnemonic_Pointsize = 'P';
static char *str_FullFont = "Full Font Display";
static char mnemonic_FullFont = 'F';
static char *str_FullPageChar = "Full Page Character";
static char mnemonic_FullPageChar = 'C';
static char *str_FullPageChars = "Full Page Characters";
static char mnemonic_FullPageChars = 'C';
static char mnemonic_SampleText = 'S';
static char *str_SampleTextC = "Sample Text:";
static char mnemonic_SampleTextC = 'T';
static char *str_FailedOpenTemp = "Failed to open temporary output file";
static char *str_NoCommandSpecified = "No Command Specified";
    /* alignment */
static char *str_CoordinateAlongWhich = "Coordinate along which to space";
static char *str_X = "X";
static char mnemonic_X = 'X';
static char *str_Y = "Y";
static char mnemonic_Y = 'Y';
static char *str_MaximumDistanceBetweenPts = "Maximum distance between points in a region";
static char mnemonic_MaximumDistanceBetweenPts = 'M';
static char *str_NotEnoughLines = "Not enough lines";
static char *str_CantParallel = "Can't Parallel";
static char *str_ShareCommonEndpoint = "These two lines share a common endpoint, I can't make them parallel";
    /* parsettf */
static char *str_ReadingNames = "Reading Names";
static char *str_FixingupReferences = "Fixing up References";
static char *str_NoBitmaps = "No Bitmap Strikes";
static char *str_NoBitmapsInTTF = "No (useable) bitmap strikes in this TTF font: %hs";
static char *str_NotInCollection = "Not in Collection";
static char *str_FontNotInCollection = "%hs is not in %.100hs";
    /* sfd */
static char *str_Saving = "Saving...";
static char *str_SavingDb = "Saving Spline Font Database";
static char *str_SavingOutlines = "Saving Outlines";
static char *str_SavingBitmaps = "Saving Bitmaps";
static char *str_RecoveryFailed = "Recovery Failed";
static char *str_RecoveryOfFailed = "Automagic recovery of changes to %.80hs failed.\nShould PfaEdit try again to recover next time you start it?";
static char *str_TryAgain = "Try Again";
static char *str_ForgetIt = "Forget It";
    /* start.c */
static char *str_PfaEdit = "PfaEdit";
    /* cvpointer.c */
static char *str_NegativeWidth = "Negative Width";
static char *str_NegativeWidthCheck = "Negative character widths are not allowed in TrueType\nDo you really want a negative width?";
    /* hanyang.c */
static char *str_Hangul = "Hangul";
static char mnemonic_Hangul = 'H';
static char *str_NewComposition = "New Composition...";
static char mnemonic_NewComposition = 'N';
static char *str_ModifyComposition = "Modify Composition...";
static char mnemonic_ModifyComposition = 'M';
static char *str_BuildSyllables = "Build Syllables";
static char mnemonic_BuildSyllables = 'B';
static char *str_ChoSung = "Cho-Sung";
static char *str_JungSung = "Jung-Sung";
static char *str_JongSung = "Jong-Sung";
static char *str_ChoSungC = "Cho-Sung:";
static char *str_JungSungC = "Jung-Sung:";
static char *str_JongSungC = "Jong-Sung:";
static char *str_Mapping = "Mapping...";
static char mnemonic_Mapping = 'M';
static char *str_Width = "Width...";
static char mnemonic_Width = 'W';
static char *str_Reset = "Reset";
static char *str_LoadFrom = "Load From...";
static char mnemonic_LoadFrom = 'L';
static char *str_BadWidth = "Bad Number for Width";
static char *str_BadGroup = "Bad Number for Group";
static char *str_JamoHoleTitle = "Unused glyph variant";
static char *str_JamoHole = "For group %d of %s, glyph variant %d is not used but %d is used.\nProcede anyway?";
static char *str_NoRules = "No Rules";
static char *str_FileHasNoRules = "%.100hs contains no composition rules";
static char *str_DeleteNo = "Delete";	/* With no mnemonic */
    /* Need a different mnemonic */
static char *str_AddAll = "Add All";
static char mnemonic_AddAll = 'd';
static char *str_DisplayCompositions = "Display Compositions...";
static char mnemonic_DisplayCompositions = 'D';
static char *str_NoGroups = "This varient of this jamo is not actually used";
static char *str_UniVarient = "Unicode %04X, Varient %d, %s";
static char *str_BuildingKoreanFont = "Building Korean Font";
    /* Transform */
static char *str_TransformBackground = "Transform Background Too";
static char mnemonic_TransformBackground = 'B';
    /* scripting */
static char *str_Call = "Call...";
static char mnemonic_Call = 'a';
static char *str_CallScript = "Call Script";
    /* start (about box) */
static char *str_FreePress = "A free press discriminates\nagainst the illiterate.";
static char *str_GaudiamusLigature = "Gaudiamus Ligature!";

static int num_buttonsize = 55;
static int num_ScaleFactor = 100;
